CVE-2003-0459
CVSS5.0
发布时间 :2003-08-27 00:00:00
修订时间 :2016-10-17 22:34:04
NMCOS    

[原文]KDE Konqueror for KDE 3.1.2 and earlier does not remove authentication credentials from URLs of the "user:password@host" form in the HTTP-Referer header, which could allow remote web sites to steal the credentials for pages that link to the sites.


[CNNVD]KDE Konqueror HTTP REFERER验证信息泄露漏洞(CNNVD-200308-126)

        
        KDE是一款X Windows系统的图形桌面环境。Konqueror是K桌面环境的文件管理器,也可用于浏览WEB。
        Konqueror不正确处理HTTP REFERER字段信息,远程攻击者可以利用这个漏洞通过网络嗅探获得用户验证的敏感信息。
        Konqueror当提交类似 http://user:password@host/ 的URL请求时,会以明文方式并在用户不知晓的情况下,通过HTTP-referer字段发送出去,第三方用户可以通过截获网络通信获得这些敏感信息。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:kde:konqueror:3.0.3
cpe:/a:kde:konqueror:3.1.2
cpe:/a:redhat:kdelibs_devel:3.0.0-10::i386_dev
cpe:/a:kde:konqueror:3.0.2
cpe:/a:kde:konqueror:3.1.1
cpe:/a:redhat:kdelibs:2.2-11::i386
cpe:/a:kde:konqueror:3.0.1
cpe:/a:redhat:kdelibs_devel:2.1.1-5::i386_dev
cpe:/a:kde:konqueror:3.0.5
cpe:/a:redhat:kdelibs:2.2-11::ia64
cpe:/a:redhat:kdelibs_devel:3.1-10::i386_dev
cpe:/a:kde:konqueror:2.1.1
cpe:/a:kde:konqueror:2.2.2
cpe:/a:redhat:kdelibs_sound:2.1.1-5::i386_sound
cpe:/a:kde:konqueror:3.1
cpe:/a:redhat:kdelibs_sound_devel:2.2-11::ia64_sound_dev
cpe:/a:redhat:kdelibs:2.1.1-5::i386
cpe:/a:redhat:kdelibs_devel:2.2-11::i386_dev
cpe:/a:redhat:analog_real-time_synthesizer:2.2-11::ia64
cpe:/a:redhat:kdelibs_devel:3.0.3-8::i386_dev
cpe:/a:kde:konqueror:3.0
cpe:/a:redhat:kdelibs_sound_devel:2.1.1-5::i386_sound_dev
cpe:/a:redhat:analog_real-time_synthesizer:2.2-11::i386
cpe:/a:redhat:analog_real-time_synthesizer:2.1.1-5::i386
cpe:/a:redhat:kdebase:3.0.3-13::i386_dev
cpe:/a:redhat:kdelibs_sound_devel:2.2-11::i386_sound_dev
cpe:/a:kde:konqueror_embedded:0.1
cpe:/a:redhat:kdelibs:3.1-10::i386
cpe:/a:redhat:kdebase:3.0.3-13::i386
cpe:/a:redhat:kdelibs:3.0.0-10::i386
cpe:/a:redhat:kdelibs_devel:2.2-11::ia64_dev
cpe:/a:redhat:kdelibs_sound:2.2-11::i386_sound
cpe:/a:redhat:kdelibs_sound:2.2-11::ia64_sound

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:411KDE Konqueror Userid/Password Disclosure Vulnerability
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0459
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0459
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200308-126
(官方数据源) CNNVD

- 其它链接及资源

http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000747
(UNKNOWN)  CONECTIVA  CLA-2003:747
http://lists.grok.org.uk/pipermail/full-disclosure/2003-July/007300.html
(UNKNOWN)  FULLDISC  20030729 KDE Security Advisory: Konqueror Referrer Authentication Leak
http://marc.info/?l=bugtraq&m=105986238428061&w=2
(UNKNOWN)  BUGTRAQ  20030802 [slackware-security] KDE packages updated (SSA:2003-213-01)
http://www.debian.org/security/2003/dsa-361
(UNKNOWN)  DEBIAN  DSA-361
http://www.kde.org/info/security/advisory-20030729-1.txt
(UNKNOWN)  CONFIRM  http://www.kde.org/info/security/advisory-20030729-1.txt
http://www.mandriva.com/security/advisories?name=MDKSA-2003:079
(UNKNOWN)  MANDRAKE  MDKSA-2003:079
http://www.redhat.com/support/errata/RHSA-2003-235.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2003:235
http://www.redhat.com/support/errata/RHSA-2003-236.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2003:236
http://www.turbolinux.com/security/TLSA-2003-45.txt
(UNKNOWN)  TURBO  TLSA-2003-45

- 漏洞信息

KDE Konqueror HTTP REFERER验证信息泄露漏洞
中危 设计错误
2003-08-27 00:00:00 2005-10-20 00:00:00
远程  
        
        KDE是一款X Windows系统的图形桌面环境。Konqueror是K桌面环境的文件管理器,也可用于浏览WEB。
        Konqueror不正确处理HTTP REFERER字段信息,远程攻击者可以利用这个漏洞通过网络嗅探获得用户验证的敏感信息。
        Konqueror当提交类似 http://user:password@host/ 的URL请求时,会以明文方式并在用户不知晓的情况下,通过HTTP-referer字段发送出去,第三方用户可以通过截获网络通信获得这些敏感信息。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2003/dsa-361

        MandrakeSoft
        ------------
        MandrakeSoft已经为此发布了一个安全公告(MDKSA-2003:079)以及相应补丁:
        MDKSA-2003:079:Updated kdelibs packages fix konqueror authentication leak
        链接:
        http://www.linux-mandrake.com/en/security/2003/2003-079.php

        补丁下载:
        Updated Packages:
        Corporate Server 2.1:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/RPMS/kdelibs-3.0.5a-1.3mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/RPMS/kdelibs-devel-3.0.5a-1.3mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/SRPMS/kdelibs-3.0.5a-1.3mdk.src.rpm
        Corporate Server 2.1/x86_64:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/x86_64/corporate/2.1/RPMS/kdelibs-3.0.5-2.1mdk.x86_64.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/x86_64/corporate/2.1/RPMS/kdelibs-devel-3.0.5-2.1mdk.x86_64.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/x86_64/corporate/2.1/SRPMS/kdelibs-3.0.5-2.1mdk.src.rpm
        Mandrake Linux 9.0:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/RPMS/kdelibs-3.0.5a-1.3mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/RPMS/kdelibs-devel-3.0.5a-1.3mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/SRPMS/kdelibs-3.0.5a-1.3mdk.src.rpm
        Mandrake Linux 9.1:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/RPMS/kdelibs-3.1-58.2mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/RPMS/kdelibs-common-3.1-58.2mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/RPMS/kdelibs-devel-3.1-58.2mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/RPMS/kdelibs-static-devel-3.1-58.2mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/SRPMS/kdelibs-3.1-58.2mdk.src.rpm
        Mandrake Linux 9.1/PPC:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/RPMS/kdelibs-3.1-58.2mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/RPMS/kdelibs-common-3.1-58.2mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/RPMS/kdelibs-devel-3.1-58.2mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/RPMS/kdelibs-static-devel-3.1-58.2mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/SRPMS/kdelibs-3.1-58.2mdk.src.rpm
        上述升级软件还可以在下列地址中的任意一个镜像ftp服务器上下载:
        
        http://www.mandrakesecure.net/en/ftp.php

        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2003:236-08)以及相应补丁:
        RHSA-2003:236-08:Updated KDE packages fix security issue
        链接:
        http://rhn.redhat.com/errata/RHSA-2003-236.html

        补丁下载:
        Red Hat Enterprise Linux AS (v. 2.1)
        --------------------------------------------------------------------------------
        
        SRPMS:
        kdelibs-2.2.2-9.src.rpm f0e606206f10a86c06abbf626a9a1e32
        
        i386:
        arts-2.2.2-9.i386.rpm abf35ed90bb162a14d96e0e3ed80ce5c
        kdelibs-2.2.2-9.i386.rpm 407f8a272a2858718527fe1adeb73f7c
        kdelibs-devel-2.2.2-9.i386.rpm 09ef114a24c28843a81fd3a93d06def9
        kdelibs-sound-2.2.2-9.i386.rpm 5a951b1aba97b6b363918e31aac793b8
        kdelibs-sound-devel-2.2.2-9.i386.rpm eeee618053e1b54a7a802b3c824f8a79
        
        ia64:
        arts-2.2.2-9.ia64.rpm 1b3acc69dcc82c8da42510ba6ff820e6
        kdelibs-2.2.2-9.ia64.rpm 4172adfd6f35319b7e340952c3c51ba0
        kdelibs-devel-2.2.2-9.ia64.rpm 20fb1ceb572442e36b91e55c7f29d25d
        kdelibs-sound-2.2.2-9.ia64.rpm b7348ef4c58931909887a3423c165934
        kdelibs-sound-devel-2.2.2-9.ia64.rpm 0fa84d0a287a99e21e868f9083bbea06
        
        Red Hat Enterprise Linux ES (v. 2.1)
        --------------------------------------------------------------------------------
        
        SRPMS:
        kdelibs-2.2.2-9.src.rpm f0e606206f10a86c06abbf626a9a1e32
        
        i386:
        arts-2.2.2-9.i386.rpm abf35ed90bb162a14d96e0e3ed80ce5c
        kdelibs-2.2.2-9.i386.rpm 407f8a272a2858718527fe1adeb73f7c
        kdelibs-devel-2.2.2-9.i386.rpm 09ef114a24c28843a81fd3a93d06def9
        kdelibs-sound-2.2.2-9.i386.rpm 5a951b1aba97b6b363918e31aac793b8
        kdelibs-sound-devel-2.2.2-9.i386.rpm eeee618053e1b54a7a802b3c824f8a79
        
        Red Hat Enterprise Linux WS (v. 2.1)
        --------------------------------------------------------------------------------
        
        SRPMS:
        kdelibs-2.2.2-9.src.rpm f0e606206f10a86c06abbf626a9a1e32
        
        i386:
        arts-2.2.2-9.i386.rpm abf35ed90bb162a14d96e0e3ed80ce5c
        kdelibs-2.2.2-9.i386.rpm 407f8a272a2858718527fe1adeb73f7c
        kdelibs-devel-2.2.2-9.i386.rpm 09ef114a24c28843a81fd3a93d06def9
        kdelibs-sound-2.2.2-9.i386.rpm 5a951b1aba97b6b363918e31aac793b8
        kdelibs-sound-devel-2.2.2-9.i386.rpm &n

- 漏洞信息

2127
KDE Konqueror HTTP REFERER Authentication Credential Leak

- 漏洞描述

KDE Konqueror for KDE 3.1.2 and earlier does not remove authentication credentials from URLs of the "user:password@host" form in the HTTP-Referer header, which could allow remote web sites to steal the credentials for pages that link to the sites.

- 时间线

2003-08-09 Unknow
Unknow Unknow

- 解决方案

KDE has made fixes available. See referenced advisory for additional details. Red Hat Linux has released an advisory (RHSA-2003:235-01) that addresses this issue. Please see the referenced advisory for details on obtaining and applying fixes. Debian has issued an updated advisory (DSA 361-2). See Debian advisory in the references section for information regarding obtaining and applying fixes. Mandrake Linux advisory (MDKSA-2003:079) and fixes are available to address this issue. See referenced advisory for further details on obtaining and applying fixes. TurboLinux has released fixes for this issue. Affected users are advised to run the turbopkg tool to update vulnerable systems. Red Hat has made updates available for Red Hat Linux Enterprise distributions. These updates are detailed in RHSA-2003:236-08 and may be obtained via the Red Hat Network. Debian has issued fixes. See Debian advisory DSA-361-1 in the references section for download information. Slackware has issued fixes. See Slackware advisory (SSA:2003-213-01) in the references section for download information.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

KDE Konqueror HTTP REFERER Authentication Credential Leak Vulnerability
Design Error 8297
Yes No
2003-07-29 12:00:00 2009-07-11 10:56:00
Discovery credited to George Staikos.

- 受影响的程序版本

Sun Linux 5.0.7
RedHat kdelibs-sound-devel-2.2-11.ia64.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-sound-devel-2.2-11.i386.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-sound-devel-2.1.1-5.i386.rpm
+ RedHat Linux 7.1
RedHat kdelibs-sound-2.2-11.ia64.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-sound-2.2-11.i386.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-sound-2.1.1-5.i386.rpm
+ RedHat Linux 7.1
RedHat kdelibs-devel-3.1-10.i386.rpm
+ RedHat Linux 9.0 i386
RedHat kdelibs-devel-3.0.3-8.i386.rpm
+ RedHat Linux 8.0 i386
RedHat kdelibs-devel-3.0.0-10.i386.rpm
+ RedHat Linux 7.3 i386
RedHat kdelibs-devel-2.2-11.ia64.rpm
+ RedHat Linux 7.2 ia64
RedHat kdelibs-devel-2.2-11.i386.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-devel-2.1.1-5.i386.rpm
+ RedHat Linux 7.1
RedHat kdelibs-3.1-10.i386.rpm
+ RedHat Linux 9.0 i386
RedHat kdelibs-3.0.3-8.i386.rpm
+ RedHat Linux 8.0 i386
RedHat kdelibs-3.0.0-10.i386.rpm
+ RedHat Linux 7.3 i386
RedHat kdelibs-2.2-11.ia64.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-2.2-11.i386.rpm
+ RedHat Linux 7.2 i386
RedHat kdelibs-2.1.1-5.i386.rpm
+ RedHat Linux 7.1
RedHat kdebase-devel-3.0.3-13.i386.rpm
+ RedHat Linux 8.0 i386
RedHat kdebase-3.0.3-13.i386.rpm
+ RedHat Linux 8.0 i386
RedHat arts-2.2-11.ia64.rpm
+ RedHat Linux 7.2 i386
RedHat arts-2.2-11.i386.rpm
+ RedHat Linux 7.2 i386
RedHat arts-2.1.1-5.i386.rpm delete
RedHat arts-2.1.1-5.i386.rpm
+ RedHat Linux 7.1
KDE Konqueror Embedded 0.1
KDE Konqueror 3.1.2
+ KDE KDE 3.1.2
KDE Konqueror 3.1.1
+ KDE KDE 3.1.1
KDE Konqueror 3.1
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Mandriva Linux Mandrake 9.1
KDE Konqueror 3.0.5
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 9.0
+ Mandriva Linux Mandrake 9.0
KDE Konqueror 3.0.3
+ KDE KDE 3.0.3
KDE Konqueror 3.0.2
+ KDE KDE 3.0.2
KDE Konqueror 3.0.1
+ KDE KDE 3.0.1
KDE Konqueror 3.0
+ KDE KDE 3.0
KDE Konqueror 2.2.2
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1
+ RedHat Linux Advanced Work Station 2.1
+ Turbolinux Turbolinux Server 8.0
+ Turbolinux Turbolinux Server 7.0
+ Turbolinux Turbolinux Workstation 8.0
+ Turbolinux Turbolinux Workstation 7.0
KDE Konqueror 2.2.1
KDE Konqueror 2.1.2
KDE Konqueror 2.1.1

- 漏洞讨论

It has been reported that a problem in KDE Konqueror may result in the leak of authentication credentials through the HTTP REFERER header field. This could result in an attacker gaining unauthorized access to authentication information.

- 漏洞利用

No exploit is required for this vulnerability.

- 解决方案

Conectiva have released an advisory (CLSA-2003:770) and fixes to address this issue. See referenced advisory for further detail regarding the application of these fixes. Fixes are linked below.

Sun have released fixes to address this vulnerability in Sun Linux 5.0.7. Users who are affected by this issue are advised to apply relevant fixes as soon as possible. Please see Sun reference (Sun Linux Support - Sun Linux Patches (Sun)) for further details regarding obtaining and applying appropriate fixes.

KDE has made fixes available. See referenced advisory for additional details.

Red Hat Linux has released an advisory (RHSA-2003:235-01) that addresses this issue. Please see the referenced advisory for details on obtaining and applying fixes.

Debian has issued an updated advisory (DSA 361-2). See Debian advisory in the references section for information regarding obtaining and applying fixes.

Mandrake Linux advisory (MDKSA-2003:079) and fixes are available to address this issue. See referenced advisory for further details on obtaining and applying fixes.

TurboLinux has released fixes for this issue. Affected users are advised to run the turbopkg tool to update vulnerable systems.

Red Hat has made updates available for Red Hat Linux Enterprise distributions. These updates are detailed in RHSA-2003:236-08 and may be obtained via the Red Hat Network.

Debian has issued fixes. See Debian advisory DSA-361-1 in the references section for download information.

Slackware has issued fixes. See Slackware advisory (SSA:2003-213-01) in the references section for download information.

Conectiva has released an advisory CLA-2003:747, including fixes to address this and other issues.


RedHat arts-2.2-11.i386.rpm

RedHat kdelibs-2.2-11.ia64.rpm

RedHat kdelibs-sound-devel-2.2-11.ia64.rpm

RedHat arts-2.2-11.ia64.rpm

RedHat kdelibs-sound-2.2-11.i386.rpm

RedHat kdelibs-devel-3.0.0-10.i386.rpm

RedHat kdelibs-sound-devel-2.1.1-5.i386.rpm

RedHat kdelibs-sound-devel-2.2-11.i386.rpm

RedHat kdelibs-devel-2.1.1-5.i386.rpm

RedHat kdelibs-devel-2.2-11.i386.rpm

RedHat kdelibs-3.0.3-8.i386.rpm

RedHat kdelibs-2.1.1-5.i386.rpm

RedHat kdelibs-sound-2.2-11.ia64.rpm

RedHat kdelibs-devel-3.1-10.i386.rpm

RedHat kdelibs-3.0.0-10.i386.rpm

RedHat kdelibs-3.1-10.i386.rpm

RedHat kdelibs-2.2-11.i386.rpm

RedHat kdelibs-sound-2.1.1-5.i386.rpm

RedHat kdebase-3.0.3-13.i386.rpm

RedHat kdelibs-devel-3.0.3-8.i386.rpm

RedHat arts-2.1.1-5.i386.rpm

RedHat kdelibs-devel-2.2-11.ia64.rpm

RedHat kdebase-devel-3.0.3-13.i386.rpm

KDE Konqueror 2.1.2

KDE Konqueror 2.2.1

KDE Konqueror 2.2.2

KDE Konqueror 3.0.5

KDE Konqueror 3.1

KDE Konqueror 3.1.2

Sun Linux 5.0.7

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站